GET api/Login

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

User
NameDescriptionTypeAdditional information
userId

globally unique identifier

None.

username

string

None.

password

string

None.

email

string

None.

phone

string

None.

roleTypeId

integer

None.

customerId

globally unique identifier

None.

createdDate

date

None.

pilotId

globally unique identifier

None.

viewTasksFromAnyDateForPilot

boolean

None.

Customer

Customer

None.

Pilot

Pilot

None.

RoleType

RoleType

None.

Response Formats

application/json, text/json

Sample:
{
  "userId": "45477004-d099-4d73-8886-450a5e94c34a",
  "username": "sample string 2",
  "password": "sample string 3",
  "email": "sample string 4",
  "phone": "sample string 5",
  "roleTypeId": 6,
  "customerId": "54ec2dc2-a300-4bc8-b7c8-b740ae3d1daf",
  "createdDate": "2026-03-20T18:38:13.4663471+00:00",
  "pilotId": "2b95487f-837d-4fcc-9230-2759d292ea7d",
  "viewTasksFromAnyDateForPilot": true,
  "Customer": {
    "customerId": "78b841bc-d8eb-4881-8fc3-63b4550849f7",
    "name": "sample string 2",
    "phone": "sample string 3",
    "email": "sample string 4",
    "dateCreated": "2026-03-20T18:38:13.4663471+00:00"
  },
  "Pilot": {
    "pilotId": "25e7ae57-bebe-4668-8cb1-00ed0b39d156",
    "name": "sample string 2",
    "pilotTypeId": "4f26fa9e-cf26-4a5e-850b-ba3a28caf84d",
    "phone": "sample string 4",
    "isLicenseGimel": true,
    "isLicenseRT": true,
    "createdDate": "2026-03-20T18:38:13.4663471+00:00",
    "PilotType": {
      "pilotTypeId": "a3e02533-2cfd-4649-b205-7548ea429add",
      "name": "sample string 2"
    }
  },
  "RoleType": {
    "roleTypeId": 1,
    "name": "sample string 2",
    "createdDate": "2026-03-20T18:38:13.4663471+00:00"
  }
}

text/html

Sample:
{"userId":"45477004-d099-4d73-8886-450a5e94c34a","username":"sample string 2","password":"sample string 3","email":"sample string 4","phone":"sample string 5","roleTypeId":6,"customerId":"54ec2dc2-a300-4bc8-b7c8-b740ae3d1daf","createdDate":"2026-03-20T18:38:13.4663471+00:00","pilotId":"2b95487f-837d-4fcc-9230-2759d292ea7d","viewTasksFromAnyDateForPilot":true,"Customer":{"customerId":"78b841bc-d8eb-4881-8fc3-63b4550849f7","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:38:13.4663471+00:00"},"Pilot":{"pilotId":"25e7ae57-bebe-4668-8cb1-00ed0b39d156","name":"sample string 2","pilotTypeId":"4f26fa9e-cf26-4a5e-850b-ba3a28caf84d","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:38:13.4663471+00:00","PilotType":{"pilotTypeId":"a3e02533-2cfd-4649-b205-7548ea429add","name":"sample string 2"}},"RoleType":{"roleTypeId":1,"name":"sample string 2","createdDate":"2026-03-20T18:38:13.4663471+00:00"}}